Author Topic: wxSmith plugin for Ubuntu  (Read 240 times)

Offline spflanze

  • Multiple posting newcomer
  • *
  • Posts: 50
wxSmith plugin for Ubuntu
« on: August 05, 2018, 06:48:16 pm »
What is the latest version of Code::Blocks for Ubuntu that can have the wxSmith plugin, and how is this installed?

Currently I have Code:Blocks Release 13.12 installed, and was unable to get wxSmith installed in it.

I am asking because on page:
http://codeblocks.org/downloads/26
I see:
Quote
Important note for Ubuntu users: The contrib-plugins package for debian can not be used on Ubuntu 12.04(+), due to an incompatible libhunspell-package.

My OS version is Ubuntu 16.04

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6280
    • My Best Post
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline spflanze

  • Multiple posting newcomer
  • *
  • Posts: 50
Re: wxSmith plugin for Ubuntu
« Reply #2 on: August 05, 2018, 07:41:46 pm »
I installed Code::Blocks using the links stahta01 posted. This installed Code:Blocks version 17.12. At first the wxSmith was not there. But when I executed the commands:
sudo apt-get install codeblocks-contrib
wxSmith was installed, and working better than the it in version 12.11.

Thank you for your help :)

 
« Last Edit: August 05, 2018, 08:04:01 pm by spflanze »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6280
    • My Best Post
Re: wxSmith plugin for Ubuntu
« Reply #3 on: August 05, 2018, 07:51:20 pm »
Did you install the codeblocks contrib package?
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline spflanze

  • Multiple posting newcomer
  • *
  • Posts: 50
Re: wxSmith plugin for Ubuntu
« Reply #4 on: August 05, 2018, 11:26:40 pm »
codeblocks was installed with the command sequence:

Quote
sudo add-apt-repository ppa:pasgui/ppa
sudo apt-get update
sudo apt-get install codeblocks
sudo apt-get install codeblocks-contrib

To get a pre-existing wxs file into the project I executed the script described herer:
http://forums.codeblocks.org/index.php?topic=9306.0
and I see the wxSmith working to edit it.

But when I compile the compiler cannot find any of the wxWidgets classes.  I followed the instructions at:
https://wiki.wxwidgets.org/Wx-Config
and got the error:
Quote
wx-config   No such file or directory
I think because I need wx-config a system wide symlink to a configuration file in my wxWidgets installation directory at:
Quote
/home/me/Packages/wxWidgets-3.0.3/
But I do not know which file to link to there. In this directory there are several files with config or configure in their names.


Offline stahta01

  • Lives here!
  • ****
  • Posts: 6280
    • My Best Post
Re: wxSmith plugin for Ubuntu
« Reply #5 on: August 06, 2018, 12:24:10 am »
I do not know much about wxSmith.

If wx-config does not work from the command line I suggest reading
http://wiki.codeblocks.org/index.php/Installing_Code::Blocks_from_source_on_Linux#Checking_the_presence_of_libwxGTK_library

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline spflanze

  • Multiple posting newcomer
  • *
  • Posts: 50
Re: wxSmith plugin for Ubuntu
« Reply #6 on: August 06, 2018, 01:05:40 am »
The name "libwxGTK-2.8.0" looks like it was meant for "wxWidgets 2.8". I am using "wxWidgets 3.0.3". Is there a "libwxGTK-3.0.0" or  "libwxGTK-3.0.3"? Or is "libwxGTK-2.8.0" the correct version for wxWidgets 3.0.3 ?

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6280
    • My Best Post
Re: wxSmith plugin for Ubuntu
« Reply #7 on: August 06, 2018, 01:32:16 am »
Read the "update-alternatives" examples and fix wx-config.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10967
    • Travis build status
Re: wxSmith plugin for Ubuntu
« Reply #8 on: August 06, 2018, 08:53:02 am »
@spflanze: You have to have the correct wx-config in path or you need to edit your project to specify the full path to your wx-config. This is in case you're using a self built wxwidgets. If you're using the system wxgtk then you need to just install the wxgtk-devel package.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]